import { ThemePalette } from '@angular/material/core';
import { type Maybe } from '@dereekb/util';
import * as i0 from "@angular/core";
export interface DbxDialogContentFooterConfig {
    readonly buttonColor?: ThemePalette;
    readonly closeText?: string;
}
/**
 * Component used to show a close button at the bottom of a dialog.
 */
export declare class DbxDialogContentFooterComponent {
    readonly config: import("@angular/core").InputSignal<Maybe<DbxDialogContentFooterConfig>>;
    readonly closeText: import("@angular/core").InputSignal<Maybe<string>>;
    readonly buttonColor: import("@angular/core").InputSignal<Maybe<ThemePalette>>;
    readonly closeTextSignal: import("@angular/core").Signal<string>;
    readonly buttonColorSignal: import("@angular/core").Signal<"primary" | "accent" | "warn" | undefined>;
    readonly close: import("@angular/core").OutputEmitterRef<void>;
    closeClicked(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DbxDialogContentFooterComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DbxDialogContentFooterComponent, "dbx-dialog-content-footer", never, { "config": { "alias": "config"; "required": false; "isSignal": true; }; "closeText": { "alias": "closeText"; "required": false; "isSignal": true; }; "buttonColor": { "alias": "buttonColor"; "required": false; "isSignal": true; }; }, { "close": "close"; }, never, never, true, never>;
}
